explain_socket_or_die(3)

NAME
explain_socket_or_die - create an endpoint and report errors

SYNOPSIS
#include <libexplain/socket.h>

void explain_socket_or_die(int domain, int type, int protocol);

DESCRIPTION
The explain_socket_or_die function is used to call the socket(2) system call. On failure an explanation will be printed to stderr, obtained from explain_socket(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_socket_or_die(domain, type, protocol);

domain
    The domain, exactly as to be passed to the socket(2) system call.

type
    The type, exactly as to be passed to the socket(2) system call.

protocol
    The protocol, exactly as to be passed to the socket(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

socket(2)
    create an endpoint for communication

explain_socket(3)
    explain socket(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller